%define monoprefix %_prefix/lib
%define dbus_version 0.90
%define dbus_glib_version 0.71
%if %mdkversion >= 200600
%define pkgconfigdir %_datadir/pkgconfig
%else
%define pkgconfigdir %_libdir/pkgconfig
%endif

Summary: D-BUS message bus C# bindings for mono
Name: dbus-sharp
Version: 0.70
Release: %mkrel 5
URL: http://www.freedesktop.org/Software/dbus
Source0: %{name}-%{version}.tar.bz2
Patch: dbus-sharp-0.70-dllmap.patch
Patch1: dbus-sharp-0.70-gtk-sharp2.patch
License: AFL/GPL
Group: Development/Other
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
Requires: dbus-glib >= %dbus_glib_version
BuildRequires: gtk-sharp2
BuildRequires: mono-devel
BuildRequires: mono-tools
BuildArch: noarch

%description
D-Bus is a system for sending messages between applications. It is
used both for the systemwide message bus service, and as a
per-user-login-session messaging facility.

This package provides the C# bindings for using D-Bus from mono.

%package doc
Summary: Development documentation for dbus-sharp
Group: Development/Other
Requires(post): mono-tools >= 1.1.9
Requires(postun): mono-tools >= 1.1.9

%description doc
D-Bus is a system for sending messages between applications. It is
used both for the systemwide message bus service, and as a
per-user-login-session messaging facility.

This package contains the API documentation for the C# bindings in
Monodoc format.


%prep
%setup -q 
%patch -p1
%patch1 -p1
automake

%build

./configure --prefix=%_prefix --libdir=%_prefix/lib
%make

%install
rm -rf %{buildroot}
mkdir -p %buildroot`monodoc --get-sourcesdir`

%makeinstall_std pkgconfigdir=%pkgconfigdir

%clean
rm -rf %{buildroot}

%post doc
%_bindir/monodoc --make-index > /dev/null

%postun doc
if [ -x %{_bindir}/monodoc ]; then
%_bindir/monodoc --make-index > /dev/null
fi

%files
%defattr(-,root,root)
%monoprefix/mono/dbus-sharp/
%monoprefix/mono/gac/dbus-sharp/
%pkgconfigdir/dbus-sharp.pc

%files doc
%defattr(-,root,root)
%monoprefix/monodoc/sources/dbus-sharp*


%changelog
* Wed Dec 13 2006 Götz Waschk <waschk@mandriva.org> 0.70-5mdv2007.0
+ Revision: 96161
- make it a noarch package

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 0.70-4mdv2006.0
+ Revision: 64570
- Import dbus-sharp



* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 0.70-4mdv2007.1
- build examples with gtk-sharp2

* Thu Sep 21 2006 Götz Waschk <waschk@mandriva.org> 0.70-3mdv2007.0
- split monodoc API documentation to the doc package

* Tue Aug  1 2006 Götz Waschk <waschk@mandriva.org> 0.70-2mdv2007.0
- fix dll map

* Mon Jul 31 2006 Frederic Crozat <fcrozat@mandriva.com> 0.70-1mdv2007.0
- Initial package (based on dbus 0.62)
